<?php
/**
 * product_info header_php.php 
 *
 * @package page
 * @copyright Copyright 2003-2007 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: header_php.php 6963 2007-09-08 02:36:34Z drbyte $
 */
 
  // This should be first line of the script:
  $zco_notifier->notify('NOTIFY_HEADER_START_PRODUCT_AUCTION_INFO');

  require(DIR_WS_MODULES . zen_get_module_directory('require_languages.php'));
 

//bof countdown davewest
$sql = "select p.products_id, pae.bid_expire_date, pae.auction_clock,
               pae.bid_expire_hour, p.products_tax_class_id from   " . 
			   TABLE_PRODUCTS . " p, " . 
			   TABLE_PRODUCTS_DESCRIPTION . " pd, " . 
			   TABLE_PRODUCT_AUCTION_EXTRA . " pae  
           where p.products_status = '1'
           and p.products_id = '" . (int)$_GET['products_id'] . "'
           and p.products_id = pae.products_id 
		   and pd.language_id = '" . (int)$_SESSION['languages_id'] . "'";
		   
 $product_info = $db->Execute($sql);
 
 $taxRate = zen_get_tax_rate($product_info->fields['products_tax_class_id']);
 
 $auction_clock = $product_info->fields['auction_clock'];
 $bid_expire_date = $product_info->fields['bid_expire_date'];
 $bid_expire_hour = $product_info->fields['bid_expire_hour'];
 
// Define your target date here
	$targetYear  = substr($bid_expire_date,0,4);
	$targetMonth = substr($bid_expire_date,5,2);
	$targetDay   = substr($bid_expire_date,8,2);
	$targetHour  = substr($bid_expire_hour,0,2);
	$targetMinute= substr($bid_expire_date,12,2);
	$targetSecond= substr($bid_expire_date,15,2);
//End target date definition

// Define date format
$dateFormat = "m-d-Y H:i:s";

$targetDate = mktime($targetHour,$targetMinute,$targetSecond,$targetMonth,$targetDay,$targetYear);

$actualDate = time();

$secondsDiff = $targetDate - $actualDate;

if ($secondsDiff < 0) $secondsDiff = 0;
$remainingDay     = floor($secondsDiff/60/60/24);
$remainingHour    = floor(($secondsDiff-($remainingDay*60*60*24))/60/60);
$remainingMinutes = floor(($secondsDiff-($remainingDay*60*60*24)-($remainingHour*60*60))/60);
$remainingSeconds = floor(($secondsDiff-($remainingDay*60*60*24)-($remainingHour*60*60))-($remainingMinutes*60));

$targetDateDisplay = date($dateFormat,$targetDate);
//$actualDateDisplay = date($dateFormat,$actualDate);
// echo $actualDateDisplay;
//eof countdown

 
  // if specified product_id is disabled or doesn't exist, ensure that metatags and breadcrumbs don't share inappropriate information
  $sql = "select count(*) as total
          from " . TABLE_PRODUCTS . " p, " .
                   TABLE_PRODUCTS_DESCRIPTION . " pd
          where    p.products_status = '1'
          and      p.products_id = '" . (int)$_GET['products_id'] . "'
          and      pd.products_id = p.products_id
          and      pd.language_id = '" . (int)$_SESSION['languages_id'] . "'";
  $res = $db->Execute($sql);
  if ( $res->fields['total'] < 1 ) {
    unset($_GET['products_id']);
    unset($breadcrumb->_trail[sizeof($breadcrumb->_trail)-1]['title']);
    header('HTTP/1.1 404 Not Found');
  }

  // ensure navigation snapshot in case must-be-logged-in-for-price is enabled
  if (!$_SESSION['customer_id']) {
    $_SESSION['navigation']->set_snapshot();
  }
 //bof place bid logic 
$process = false;
if (isset($_POST['action']) && ($_POST['action'] == 'place_bid')) {
  $process = true;
  
  $bid_amount = zen_db_prepare_input($_POST['auction_bid_amount']);
  $auction_bid = zen_round($bid_amount,  $currencies->currencies[$_SESSION['currency']]['decimal_places']);
  $auction_price  = zen_db_prepare_input($_POST['auction_price']);
  $auction_current_bid  = zen_db_prepare_input($_POST['auction_current_bid']);
  $auction_current_bid = ($auction_current_bid > 0) ? $auction_current_bid : 0.01;
  $products_id = zen_db_prepare_input($_GET['products_id']);
   //
   if ($taxRate > 0) {  
  //$auction_bid = $auction_bid  / (($taxRate / 100) + 1);
  echo $taxRate . '  is  ' . $auction_bid;
   }  

  $sql = "SELECT customers_id, customers_email_address 
              FROM " . TABLE_CUSTOMERS . " 
              WHERE customers_id = :customersID";
      
      $sql = $db->bindVars($sql, ':customersID', $_SESSION['customer_id'], 'integer');
      $check_customer = $db->Execute($sql);
      $bid_email = $check_customer->fields['customers_email_address'];

  // get the minimum bid increase
  $sql = "select bid_minimum_increase
           from  " . TABLE_PRODUCT_AUCTION_EXTRA . "
           where products_id = '" . (int)$_GET['products_id'] . "'
           limit 1";
  $auction_extra = $db->Execute($sql);

  $auction_bid_minimum_increase = $auction_extra->fields['bid_minimum_increase'];

if ($auction_bid > 0 ) {
  if ($auction_bid < ($auction_bid_minimum_increase + $auction_current_bid)) {
    $error = true;
    $messageStack->add('place_bid', ENTRY_BID_TOO_LOW, 'error');
  }
 
if ($auction_bid >= ($auction_bid_minimum_increase + $auction_current_bid) + 200) {
    $error = true;
    $messageStack->add('place_bid', 'To High - Try Again!', 'error');
  }
  
  if ($error == false) {
    // get the current highest bid
    $sql = "select customers_id
	         from  " . TABLE_PRODUCTS_AUCTION . "
			 where products_id = '" . (int)$_GET['products_id'] . "'
			 order by customers_bid DESC
			 limit 1";
    $auction_info = $db->Execute($sql);

    $sql = "insert into " . TABLE_PRODUCTS_AUCTION . "
                          (bid_id, customers_id, products_id, customers_bid, date_of_bid)
              values ('', '" . (int)$_SESSION['customer_id'] . "', '" . (int)$products_id . "', '" . $auction_bid . "', now())";
    $db->Execute($sql);

    // update the product price in the PRODUCTS table to be the current high bidder price
    // AHB 4/24/08

    $sql = "update " . TABLE_PRODUCTS . " set products_price = '" .  $auction_bid  . "' where products_id = '" . (int)$_GET['products_id'] . "'  LIMIT 1 ";
    $db->Execute($sql);


    // build the message content
    $customer_high_bidder = $auction_info->fields['customers_id'];
    // last bid
    $last_bid = $db->Execute("select customers_id, customers_firstname, customers_lastname, customers_email_address
	         from  " . TABLE_CUSTOMERS . "
			 where customers_id = '" . (int)$customer_high_bidder . "'
			 ");     

    $previous_bidders_first_name = $last_bid->fields['customers_firstname'];
    $previous_bidders_last_name = $last_bid->fields['customers_lastname'];
    $previous_bidders_email_address = $last_bid->fields['customers_email_address'];
    $name = $previous_bidders_first_name . ' ' . $previous_bidders_last_name;

    if (ACCOUNT_GENDER == 'true') {
      if ($gender == 'm') {
        $email_text = sprintf(EMAIL_GREET_MR, $previous_bidders_last_name);
      } else if ($gender == 'f'){
        $email_text = sprintf(EMAIL_GREET_MS, $previous_bidders_last_name);
      } else {
        $email_text = sprintf(EMAIL_GREET_NONE, $previous_bidders_first_name); //, " ", $previous_bidders_last_name);
      }

    } else {
        $email_text = sprintf(EMAIL_GREET_NONE, $previous_bidders_first_name); //, " ", $previous_bidders_last_name);
    }
if ($previous_bidders_email_address != "") {	
    if ($customer_high_bidder != $_SESSION['customer_id']) {
      $html_msg['EMAIL_GREETING'] = str_replace('\n','',$email_text);
      $html_msg['EMAIL_FIRST_NAME'] = $previous_bidders_first_name;
      //$html_msg['EMAIL_LAST_NAME']  = $previous_bidders_last_name;
      $email_text .=  EMAIL_OUTBID;
      $html_msg['EMAIL_WELCOME'] = str_replace('\n','<br />',EMAIL_OUTBID);
      $product_link = zen_href_link(zen_get_info_page($_GET['products_id']), 'products_id=' . $_GET['products_id']);
      $html_msg['EMAIL_WELCOME'] .= sprintf(EMAIL_TEXT_LINK, '<a href='.$product_link.' >'.$product_link.'</a>', '', false) . "\n\n";
      $email_text .= sprintf(EMAIL_TEXT_LINK, $product_link, '', false) . "\n\n";
      $email_text .= "\n\n" . EMAIL_TEXT . EMAIL_CONTACT . EMAIL_GV_CLOSURE;
      $html_msg['EMAIL_MESSAGE_HTML']  = str_replace('\n','',EMAIL_TEXT);
      $html_msg['EMAIL_CONTACT_OWNER'] = str_replace('\n','',EMAIL_CONTACT);
      $html_msg['EMAIL_CLOSURE']       = nl2br(EMAIL_GV_CLOSURE);

      // include disclaimer
      $email_text .= "\n\n" . sprintf(PAE_EMAIL_DISCLAIMER_NEW_CUSTOMER, STORE_OWNER_EMAIL_ADDRESS). "\n\n";
      $html_msg['EMAIL_DISCLAIMER'] = sprintf(PAE_EMAIL_DISCLAIMER_NEW_CUSTOMER, '<a href="mailto:' . STORE_OWNER_EMAIL_ADDRESS . '">'. STORE_OWNER_EMAIL_ADDRESS .' </a>');
      // send outbid email
      zen_mail($name, $previous_bidders_email_address, EMAIL_SUBJECT, $email_text, STORE_NAME, EMAIL_FROM, $html_msg, 'auction');

    }
    zen_redirect(zen_href_link(zen_get_info_page($_GET['products_id']), zen_get_all_get_params(array('action', 'mod'))));
  }
}
 }
}

 // This should be last line of the script:
  $zco_notifier->notify('NOTIFY_HEADER_END_PRODUCT_AUCTION_INFO');